Subject: RE: [Mip4] RFC3012bis: Proposal for Issue2-Change5

From: "Ahmad Muhanna" <[email-masked]>
Date: Thu, 4 Sep 2003 18:40:29 -0500

> -----Original Message-----
> From: Henrik Levkowetz [mailto:[email-masked]] 
> Sent: Thursday, September 04, 2003 6:13 PM
> To: Bharatia, Jayshree [RICH1:2H13:EXCH]
> Cc: 'Pete McCann'; [email-masked]'
> Subject: Re: [Mip4] RFC3012bis: Proposal for Issue2-Change5
> 
> 
> Thursday  4 September 2003, Jayshree wrote:
> ...
> > >  > > I would be fine if we deleted the one sentence "The Foreign
> > >  > > Agent could then assume..." from the above (it has no 
> > >  > > normative value anyway).
> > >  > > 
> > >  > [JB] I rather have just "MUST" instead of "SHOULD" in the 
> > > current text  > without any further conditional text if it 
> > > solves all your concerns.
> > > 
> > > Are you saying to include a challenge in every registration
> > > reply or agent advertisement?  Well, that would be ok with 
> > > me, but we got pushback from Charlie on this.  I don't want 
> > > to put words in his mouth, so go back and re-read his posts 
> > > from the archive.  I think he felt that an always MUST was 
> > > too strong, as there were conditions where it could be left 
> > > out.  We were trying to pin down those conditions, which I 
> > > think my suggested text does.
> > 
> > [JB] I am very well aware of Charlie's email on this 
> subject (quoted 
> > below): "The foreign agent "should" be allowed to rely on 
> letting the 
> > mobile nodes use the advertised values when it is likely 
> that will be 
> > successful. Good systems could be built that way." Since 
> you are still 
> > suggesting having conditional text with the use of "MUST", I assume 
> > that in your opinion having "SHOULD" is not appropriate and 
> hence you 
> > disagree with Charlie's reply. My point here is, if I have 
> to choose 
> > from using  "MUST" with your conditional text or  "MUST" 
> without the 
> > conditional text, I rather use just "MUST" without any condition. 
> > Anyway, I would let Charlie reply on this. I am fine with 
> either using 
> > "SHOULD" as suggested by Charlie or using "MUST" without any 
> > condition.
> 
> ??? Jayshree, the only one who seems to have advocated MUST 
> instead of SHOULD in the original text recently seems to have 
> been you, above. I think both Pete and myself have assumed 

This is NOT true. 
The first one who suggested that is you and then followed BY Pete during our
conference call.
As a matter of fact Jayshree and myself made it clear that changing SHOULD
to MUST does not maintain backward compatibility; but it seems that was not
a concern!
Please check earlier threads if you would like.

> that we would let the original paragraph stand as-is, with 
> SHOULD, but explain more closely in following text under 
> which conditions the SHOULD does and doesn't apply. Let me 
> re-iterate my latest proposal, which I still think is good :-)  :
> 
> "3.3. Foreign Agent Processing for Registration Replies
> 
>    The Foreign Agent SHOULD include a new Mobile-Foreign Challenge
>    Extension in any Registration Reply, successful or not.  If the
>    foreign agent includes this extension in a successful Registration
>    Reply, the extension SHOULD precede a Mobile-Foreign authentication
>    extension.  Suppose the Registration Reply includes a Challenge
>    extension from the Home Agent, and the foreign agent wishes to
>    include another Challenge extension with the Registration Reply for
>    use by the mobile node.  In that case, the foreign agent 
> MUST delete
>    the Challenge extension from the Home Agent from the Registration
>    Reply, along with any Foreign-Home authentication extension, before
>    appending the new Challenge extension to the Registration Reply.
>   
>    One example of a situation where the Foreign Agent MAY omit the
>    inclusion of a Mobile-Foreign Challenge Extension in the 
> Registration
>    Reply would be when a new challenge has been multicast 
> recently. The
>    Foreign Agent could then assume that the mobile node with high
>    likelihood has received and can use the multicast challenge. 
>   
>    If a foreign agent has conditions in which it omits the 
> inclusion of a
>    Mobile-Foreign Challenge Extension in the Registration 
> Reply, it still
>    MUST respond with an agent advertisement containing a 
> previously unused
>    challenge in response to a subsequent agent solicitation 
> from the same
>    mobile node.  Otherwise (when the said conditions are not met) the
>    foreign agent MUST include a previously unused challenge in any
>    Registration Reply, successful or not.
>   
>    A mobile node MUST be prepared to use a challenge from a unicast or
>    multicast Agent Advertisement in lieu of one returned in a 
> Registration
>    Reply, and MUST solicit for one if it has not already 
> received one in a
>    Registration Reply.
> 
> ..."
> 
> 	Henrik
> 
>

---

From: Henrik Levkowetz <[email-masked]>
Date: Fri, 5 Sep 2003 01:52:36 +0200

Ahmad,

> > instead of SHOULD in the original text recently seems to have 
-----------------------------------------> ^^^^^^^^
> Please check earlier threads if you would like.

Please, assume that other people than yourself also have a little bit of
sense, intelligence and memory.

	Henrik